Skip to main content
GET
/
v1
/
events
/
destinations
/
{destinationId}
Get an event destination
curl --request GET \
  --url https://api.prets.app/v1/events/destinations/{destinationId} \
  --header 'Authorization: Bearer <token>'
{
  "destinationId": "<string>",
  "name": "Production",
  "url": "https://example.com/prets/events",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

destinationId
string
required
Pattern: ^whk_[0-9A-HJKMNP-TV-Z]{26}$

Response

Event destination

HTTPS endpoint registered for outbound event delivery. Scoped to the authenticated organization.

destinationId
string
required
Pattern: ^whk_[0-9A-HJKMNP-TV-Z]{26}$
name
string
required

Human-readable label for this destination within the organization.

Required string length: 1 - 128
Example:

"Production"

url
string
required

Public HTTPS endpoint that will receive event deliveries. Plain HTTP is rejected.

Maximum string length: 2048
Pattern: ^((%[0-9A-Fa-f]{2}|[-()_.!~*';/?:@&=+$,A-Za-z0-9])+)([).!';/?:,])?$
Example:

"https://example.com/prets/events"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required